Skip to main content
PUT
/
api
/
v1
/
connectors
/
{id}
Konnektörü güncelle
curl --request PUT \
  --url https://transfer-sandbox.payven.com.tr/api/v1/connectors/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "code": "<string>",
  "bank_code": "<string>"
}
'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
extra_properties_dict
object
id
string<uuid>
name
string | null
code
string | null
bank_code
string | null
supported_transfers
enum<integer>
Available options:
EFT,
Fast,
Remittance,
CreditCard
approve_type
enum<string>
Available options:
Webhook,
Sync,
Async

Response

OK

message
string | null
is_success
boolean
code
string | null
data
string<uuid>